## mediatek-vpud 0.24.1

=== Makefile ===
# Copyright (C) 2020  BayLibre, SAS
# Author: Fabien Parent <fparent@baylibre.com>

BINDIR ?= "/usr/bin"
LIBDIR ?= "/usr/lib"
VPUD_ARCH ?= aarch64
VPUD_SOC ?= mt8167
VPUD_PATH = ${VPUD_SOC}/${VPUD_ARCH}

all:

install:
	install -d ${BINDIR}
	install ${VPUD_PATH}/vpud ${BINDIR}

	install -d ${LIBDIR}
	install ${VPUD_PATH}/libvpud_vcodec.so ${LIBDIR}

	if [ -f "${VPUD_PATH}/libherope_sa.ca7.so" ]; then \
		install ${VPUD_PATH}/libherope_sa.ca7.so ${LIBDIR}; \
	fi

	if [ -f "${VPUD_PATH}/libvcodec_oal.so" ]; then \
		install ${VPUD_PATH}/libvcodec_oal.so ${LIBDIR}; \
	fi

=== debian/changelog ===
mediatek-vpud (0.24.1-0ubuntu1~ppa4) jammy; urgency=medium

  * Initial release. 
  * Supported platform: Genio 350/510/700/1200.

 -- Zhaoxuan Zhai <zhai.zhaoxuan@canonical.com>  Tue, 15 Apr 2025 11:20:35 +0800

=== debian/control ===
Source: mediatek-vpud
Section: multiverse/video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Zhaoxuan Zhai <zhai.zhaoxuan@canonical.com>
Build-Depends: debhelper (>= 13), patchelf
Standards-Version: 4.7.2
Homepage: https://gitlab.com/mediatek/aiot/rity/vpud
XS-Autobuild: yes

Package: mediatek-vpud
Architecture: arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: video codec driver daemon for MediaTek Genio 350/510/700/1200
 VPUD are userspace daemon that act as drivers for Genio SoC video
 codec hardware.
 .
 The daemon has no other user space clients. Its sole purpose is to
 interact with the /dev/vcu nodes to provide hardware configurations
 for the corresponding kernel drivers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_install:

override_dh_install:
	dh_install
	patchelf --set-rpath /usr/lib/mediatek-vpud/mt8365/ $(CURDIR)/debian/mediatek-vpud/usr/lib/mediatek-vpud/mt8365/vpud
	patchelf --set-rpath /usr/lib/mediatek-vpud/mt8188/ $(CURDIR)/debian/mediatek-vpud/usr/lib/mediatek-vpud/mt8188/vpud
	patchelf --set-rpath /usr/lib/mediatek-vpud/mt8395/ $(CURDIR)/debian/mediatek-vpud/usr/lib/mediatek-vpud/mt8395/vpud

override_dh_installsystemd:
	dh_installsystemd --name=mediatek-vpud-mt8188
	dh_installsystemd --name=mediatek-vpud-mt8365
	dh_installsystemd --name=mediatek-vpud-mt8395

=== debian/watch ===
version=4
opts="searchmode=plain,uversionmangle=s/(\d+\.\d+\.\d+)+(.*)/$1/ " \
 https://gitlab.com/mediatek/aiot/rity/vpud/tags?sort=updated_desc -/archive/v?\d[\d.a-f+]+/vpud-@ANY_VERSION@@ARCHIVE_EXT@
